質問箱/264

カテゴリ
サマリ更新認証の時、パスワードが通らない
バージョン1.4rc4
投稿者kumasan?
状態完了
投稿日2003-09-12 (FRI) 14:41:05

質問

はじめまして、kumasanといいます。 Pukiwikiの初心者です。

早速の質問で申し訳ありませんが、「質問箱/250」を参考にしながら、更新認証を全体にかけました。
pukiwiki.ini.phpの設定が終わり、実際にアクセスして、ユーザ名とパスワードを入力したのですが、うまく認証されず、更新が出来ないのです。

pukiwiki.ini.phpの設定は、次のとおりです。

$auth_users = array(
'KUMASAN' => '123456',
);
$auth_method_type = "contents";
$edit_auth = 1;
$edit_auth_pages = array(
'/.*/' => 'KUMASAN',
);

以上です。
この他に、どこか修正しなければならないところがありましたら、教えていただけないでしょうか。 どうかよろしくお願い致します。

回答

  • sha 2003-09-13 (SAT) 14:55:16

    上の設定の表示を見やすくしてみました。

    さて本題です。全く同じにしてみましたが、上の記述の設定だけで、ちゃんと認証と編集が出来ました。何が違うんでしょうね??パスワードを全角で入力していたりとか??あるいは、質問箱/247?とかも参照してみてください。

  • kumasan? 2003-09-15 (MON) 13:25:52

    ありがとうございました。
    パスワードなど、もう一度確認をしてみたのですが、やはり認証が出来ませんでした。それから、いろいろ調べて、自分が使っているサーバでは、PHP4.3.2だと言うことが解り、そうすると、質問箱/247と同じ現象かなと思っています。いまは、凍結という方法で対応しています。
    何も解らない初心者ですが、今後とも、どうかよろしくお願い致します。本当にありがとうございました。

    • reimy 2003-09-15 (MON) 14:50:47

      IIS+PHP4.3.2ということですね?

  • kumasan? 2003-09-16 (TUE) 10:01:30

    あっ、申し訳ありません。私の間違いでした。使用サーバは、Linuxですから、IISは使っていません。PHPのバージョンが4.3.2ということです。
    そうすると、私のpukiwiki.ini.phpの設定ミスですね。もう一度、見直したいと思います。本当にありがとうございました。

  • sha 2003-09-17 (WED) 09:13:47

    しつこいですが、原因追求ということで。
    PHPはApacheモジュールとして実行されておりますか?ここも参照→「PHP による HTTP 認証

    • kumasan? 2003-09-17 (WED) 13:45:23

      もし、見当はずれのことを書いてしまったら申し訳ありません。「PHPはApacheモジュールとして実行」とのことですが、実行する場合、Apacheハンドラを使って、「send-as-is」を追加して、HTTP認証が可能になるように設定しなければならないと言うことでしょうか? ちょっとよく解らなかったのでご説明していただけば、本当に助かります。どうかよろしくお願い致します。

    • sha 2003-09-18 (THU) 05:28:54

      特に特殊な設定が必要だということを言っていたわけではありません。たぶん、「PukiWiki/Install/RedHat」に従って、PHPをインストールしていれば問題ないとは思うのですが、もしご自分でインストールしたのではない場合には、PHPがどのように実行されているかを確認してみるといいです、という話でした。

      さて「PHPはApacheモジュールで」じゃない場合にはおそらく2通り考えられます。一つは、CGI型でPHPが起動されている場合、二つ目は、ApacheでないWWWサーバが使われている場合です。どちらもPHPによるHTTP認証を保証してません。

      もしちゃんと「PHPはApacheモジュールで」実行されている場合には、インストールかその他の問題があるのでしょう。。。としか私には言えません。ごめんなさい。

      • kumasan? 2003-09-22 (MON) 15:03:12

        ご返事が遅くなり、大変申し訳ありませんでした。レンタルサーバ会社へ問い合わせたところ、PHPはApacheモジュールで実行しているとのことでした。HTTP認証が可能のようです。あす、時間ができそうなので、もう一度挑戦しようと思っています。本当にありがとうございました。

  • kumasan? 2003-09-26 (FRI) 15:28:23

    原因判明、解決しました。$auth_users のところで、MD5形式のパスワードを書いていて、認証時には、MD5形式でないパスワードを入力していたために、認証できなかったようです。多分、凍結解除の設定と混同していたようです。恥ずかしい限りです。お答えいただきました方々、お騒がせしてしまって、大変申し訳ありませんでした。そして、本当にありがとうございました。

  • Q&Aに移動 -- zm 2007-08-18 (土) 17:34:56


トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2007-08-18 (土) 17:33:19
Site admin: PukiWiki Development Team

PukiWiki 1.5.2+ © 2001-2019 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u7. HTML convert time: 0.279 sec.

OSDN